Package org.apache.commons.lang3.function

## Interface FailableLongToDoubleFunction<E extends java.lang.Throwable>

Type Parameters:
  `E` - Thrown exception.

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface FailableLongToDoubleFunction<E extends java.lang.Throwable>

A functional interface like `LongToDoubleFunction` that declares a `Throwable`.

Since:
  3.11

### Field Summary

Fields
`static FailableLongToDoubleFunction` `NOP` NOP singleton

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods
`double` `applyAsDouble​(long value)` Applies this function to the given argument.
`static <E extends java.lang.Throwable> FailableLongToDoubleFunction<E>` `nop()` Returns The NOP singleton.

### Field Detail

#### NOP

    static final FailableLongToDoubleFunction NOP

NOP singleton

### Method Detail

#### nop

    static <E extends java.lang.Throwable> FailableLongToDoubleFunction<E> nop()

Returns The NOP singleton.

Type Parameters:
  `E` - Thrown exception.
Returns:
  The NOP singleton.

#### applyAsDouble

    double applyAsDouble​(long value)
                  throws E extends java.lang.Throwable

Applies this function to the given argument.

Parameters:
  `value` - the function argument
Returns:
  the function result
Throws:
  `E` - Thrown when the function fails.
  `E extends java.lang.Throwable`